Welcome

Welcome to Abrosoft FantaMorph Help!

Click on the following links to access topics:

What is a Morph?

What is Abrosoft FantaMorph?

What's New in Version 2.5?

Features and Benefits

Getting Started (Quick Tutorial)

How To...

Frequently Asked Questions

Hints and Tips

Copyright © 2002-2005 Abrosoft. All rights reserved.


Introducing

Click on the following links to access articles:

What is Abrosoft FantaMorph?

What's New in Version 2.5?

Features and Benefits

System Requirements


What is Abrosoft FantaMorph?

With Abrosoft FantaMorph, creating fantastic image morphs and warp movies has never been easier and faster! You can do everything a professional animation director does to create amazing images and animations. FantaMorph supports most image formats including BMP, JPEG, TIFF, PNG, GIF, TGA, PCX, and even professional 32-bit with alpha formats. Exporting to Image Sequence, AVI, Animated GIF, Flash, Screen Saver and other formats are supported. You can crop, rotate, flip and adjust source image, all with FantaMorph's built-in tools, without having to go to any additional software.

FantaMorph takes advantage of hardware acceleration, and the rendering speed easily goes up to several hundred FPS (Frames Per Second). The high speed makes it possible to play final effects in real time without exporting to a file. The new interface is cool in looks, streamlined in function, and a joy to work with! The professional edition also offers our new Image Sequence Packer, which makes it a breeze to create long movies with multiple source images. You can even create amazing add-on movie effects in less than one minute! There're many more exciting new features. Try it today and see the magic with your own eyes!

Why Using FantaMorph?

Because morphing pictures and movies has never been easier and faster! Abrosoft FantaMorph is based on a simple concept: a powerful and professional morphing software, yes, but simple enough to be used by even non professionals. When tools allow for expression of creativity based on ideas and inspiration and not on technical expertise, everyone benefits. FantaMorph is so easy to use that you will be limited only by your imagination and your ability to create or obtain good material to morph. Make your own morphing movie! Unleash your creative spirits!

Easy to use workspace

Powerful features

• Great looking interface

• Almost all features are accessible in main interface

• Full view, edit only, preview only mode

• Built-in image viewer with fast thumbnail preview to browse image resources

• Supports full Drag & Drop

• Zoom in source image up to 8 times for accurate edit

• 10 built-in, smooth, dot styles

• Blinking dots pairs when mouse is over them

• No limit Undo/Redo

• Auto open resulting file

• More, More, More...

• The fastest rendering engine, fully supports OpenGL hardware acceleration

• Real-time preview, real-time playing

• Supports all common image formats: BMP, JPEG, TIFF, PNG, TGA, PCX, GIF, WMF, EMF

• Imports/Exports 32-bit image with alpha formats: BMP, TIFF, PNG, TGA

• Supports the export of image sequences, AVI movies, animated GIF's, flash movies, web pages and Screen Savers

• Built-in image sequence pack tool, which allows building of long movies with more than two source images

• Built-in cropping tool, which can crop, rotate or flip image

• Built-in adjusting tool, which can adjust image brightness, contrast, color balance and supports several effects (blur, sharpen, emboss, gray...)

• Creates amazing effects with backgrounds, masks, and foregrounds


What's New in Version 2.1?

What's New

Version 2.5

In version 2.5 we've added some new features and fixed some minor bugs.

• Supports Multi-Languages - The software interface can be in the language you selected other than the default English. You can also translate the language file to your native language. Or you can wait for the needed language file translated by other warm-hearted users.

• Movie Properties Window - You can view and set all the movie properties in this new window.

• Editing Magnifier - Magnifies the area under and around the mouse cursor when you are working within the source or target image.

• Smoothly Preview by Percent - Not only preview by morph frame but also by any desired percent of the morph from 0% to 100% in 1% increments.

• Prolong Begin and End Views - Now you can extend the time exported movies (AVI, GIF, Flash and Screen Saver) display the beginning and ending images.

• Export Screen Savers - Now you can directly export morphs as screen savers. It's a new way to enjoy your favorite morphs and share them with your friends.

• Enable/Disable Hardware Acceleration - When hardware acceleration is enabled, FantaMorph achieves the best performance. But you may need to disable this function if your system has problems with hardware acceleration. In addition, the maximum export size depends on the display card if hardware acceleration
is enabled. In most cases, this will be less than 4096 x 4096 pixels. If you want to export very large images for print, you also need to turn off this switch so that you can export images up to 16384 x 16384 pixels.

• Set Export Speed of AVI and GIF - Now the export speed settings also effects the frame rate of exported AVI and animated GIF.

• Show Triangle Mesh - You can view the triangle mesh on both source images and preview movies. This feature will help users to avoid artifacts due to mesh tangling.

• Improve Export Process - A few users reported that they have encountered a movie export problem on some types of video cards. We improved the export process to avoid this issue.

• Open/Save Image Sequence List - When you use the Image Sequence Packer, you can save the image sequence list to a file and open it later.

• Share FantaMorph Project - Do you want to share your FantaMorph projects with your friends or other FantaMorph users? Just click the new menu item and then fill in the destination email address.

• Add an URL to a Flash Movie - When you export a morph in Flash format, you can add a URL to the resulting Flash movie so that the viewers can easily reach the URL with just one click. It's especially useful for web designers.

Version 2.0

This is a revolutionary version! With our revolutionary rendering engine and a super friendly user interface, creating morph movie has never been easier and faster!

• New Rendering Engine - A brand new rendering engine has been developed. It takes advantage of OpenGL hardware acceleration, which may increase the morph speed up to 100 times!

• Real-time Preview - Now you can preview morphing effects when editing (add dot, delete dot, move dot etc.) in real time.

• Real-time Playing - The high speed makes it possible to play final effects in real time without exporting to a file.

• Auto Loop and Auto Reverse Switch - These useful controls have been added to enhance play.

• Speed Test Tool - You can test the morph speed on your computer. The speed depends primarily on the performance of the video card and, to a lesser degree, on the CPU performance.

• New Interface - The new interface is cool in looks, streamlined in function, and a joy to work with!

• Auto Open After Export Switch - Turn on this switch in the option box and the resulting file will be automatically opened after export completes.

• Export Reverse Frames Switch - Turning on this switch will append reverse frames to the normal export result, which is useful for some formats such as animated GIF or flash export. The result movie will then play smoothly when it is looped.

• New Add-on Movie Effects with Background, Mask, and Foreground - Now you can make morph movies with these dazzling effects in less than one minute!

• Now Supports 32-bit Images - Now you can import and export BMP, TIFF, PNG and TGA format 32-bit with alpha images to create professional effects.

• New Image Sequence Packer Tool - This new tool makes it a breeze to create long movies with multiple source images.

• No limited Undo/Redo - Now you can use standard undo/redo function with no limit on the number of steps.

• Improve Image Crop and Adjust Tools - Now you can rotate, flip source image, and apply image effects such as blur, sharpen, emboss, gray and more...

• New View Mode Added - Now you can switch among 3 different view modes (Full View, Edit only, Preview only) whenever you choose.

Version 1.5

• New Image Crop and Adjust Tools - Now you can crop source images and adjust image color, all with FantaMorph's built-in tools, without having to go to any additional software. It is particularly useful for source images from digital camera.

• New Dot Style - You can choose any dot style from the 10 built-in dot styles including circle, square, diamond, cross, etc. All dot styles are anti-aliased and can be set to any opacity level from 0 to 255, so the key dots are smoothly blended into the source image.

• Show/Hide Key Dots - Now you can show or hide key dots at anytime.

• Edit Multiple Key Dots - Now you can select, move, zoom, delete, copy or paste multiple key dots at one time.

• Improve Key Dots Highlight Feature - Now, when you move the cursor over any key dot, that dot and its corresponding partner will be highlighted and will blink in unison.

• New Built-in Image Viewer - The new built-in image viewer is a simple, fast and useful tool, allowing you to drag a thumbnail image thumb from the viewer and drop it into the source image area to import it.

• Now Supports Flash Movie Export - Flash (SWF file) is the most useful animation format available. It boasts small file size coupled with good quality. All major computer platforms support this format.

• Now Supports Web Page Export - You can export morphs as an html file which includes a flash movie. This can then be easily played in Internet Explorer.

Version 1.0

This is the first release.


Features and Benefits

Below is a list of all the features and benefits of FantaMorph. (Note that some features are only supported in FantaMorph Pro.)

File Format

• Import - BMP, JPEG, TIFF, PNG, TGA, PCX, GIF, WMF, EMF, includes 32-bit with alpha BMP, TIFF, PNG, TGA

• Export Image - BMP, JPEG, TIFF, PNG, TGA, PCX, GIF includes 32-bit with alpha BMP, TIFF, PNG, TGA

• Export Movie - AVI, Animated GIF, SWF, HTML, Screen Saver

Source Images Edit

• Import - From Open File dialog with preview; drag and drop from built-in image viewer; drag and drop from other applications

• Crop - Drag and drop to crop; free size or maintain aspect ratio

• Rotate - 180°, 90° CW, 90° CCW

• Flip - Flip Horizontal, flip Vertical

• Adjustments - Brightness, contrast, red, green, blue

• Effects - Smooth, blur, sharpen, emboss, negative, gray

• Swap - Swap two source images

• View - Smoothly scale from 12.5% to 800%

• Grid - Allow show/hide grid

• Undo/Redo - Allowed for all features of source images edit

Key Dots

• Style - Total 10 normal styles and 10 highlighting styles;

• Color - Any chosen, single color for all dots; or cycle through 8 basic colors (red, yellow, blue, green, cyan, purple, white, black)

• Effect - Anti-aliasing; can set alpha (transparency) from 0 to 255

• Highlight - Mouse over highlights a dot pair (Click not necessary)

• Show - Allow show/hide key dots and triangle mesh

Key Dots Edit

• Single - Add, delete, move

• Multiple - Rectangle marquee to select, move, scale, copy, cut, delete, paste

• Select All - Select all dots

• Clear All - Clear all dots

• Matching - Automatically manage corresponding dots

• Magnifier - Magnifies the area under and around the mouse cursor up to 4x

• Undo/Redo - Allow for all features of key dots edit

Movie

• Size - Matching with source images; 6 fixed size or any custom size

• Frames - 3 to 999

• Preview - Preview morphing effects of current frame in real time; fast scroll to preview all frames from 0% to 100% in 1% increments

• Play - Play morphing movie in real time without exporting to a file

• Play Control - Play/pause; Go to the first, the last, the previous, the next frame; auto loop; auto reverse

• Play Speed - 1 to 60 frames per second

Add-on Effects

• Background - Single color; or any chosen image

• Mask - 256 level grayscale bitmap (could use any image to create strange effect)

• Foreground - 32-bit with alpha image

• Show - Allow show/hide at anytime

Export

• Export Frame - Export current morphing frame to a image file

• Export Movie - Export morphing movie to image sequence files, AVI movie, Animated GIF, Flash movie, Web page and Screen Saver

• Cancel Export - Allow

• Export Animated GIF - Export looping or non-looping Animated GIF

• Export Reverse Frames - Export reverse morphing frames to movie

• Auto Open after Export - Automatically open resulting file with the system associated program

• Export Size - Depends on display card if hardware acceleration is enabled, or up to 16384 x 16384 pixels when hardware acceleration is disabled

• Prolong Begin and End Views - Now you can extend the time exported movies (AVI, GIF, Flash and Screen Saver) display the beginning and ending images

• Export Frame Rate - 1 to 60 frames per second

• JPEG, Flash Quality - 0 to 100

• Add an URL to Flash - Add a URL to the resulting Flash movie

Tools

• Image Viewer - Fast preview all supported format images with thumbnails; supports drag and drop

• Image Sequence Packer - Pack a series of all supported format images to create a new movie

• Morph Speed Test - Test image morphing performance of your computer

User Interface

• View Mode - Switch to one of 3 view modes (Full, Edit Only, Preview Only) at anytime

• Language - Supports multi-languages


System Requirements

Abrosoft FantaMorph has been designed to work with Microsoft Windows® 98, ME, NT4, 2000, XP or later.

Minimum Requirements

  • Pentium® class CPU - 350 Mhz

  • True color video card - 800x600, 24Bit

  • 64 MB RAM

  • Microsoft Windows® 98 or NT 4.0 SP6

Recommended Requirements

  • Pentium® 3/4 or AMD Athlon - 500 Mhz or more

  • True Color Video Card with OpenGL acceleration - 1024x768, 32-bit

  • 128 MB RAM

  • Microsoft Windows® 2000/XP or later


Getting Started with FantaMorph

Before beginning this 8 lesson online tutorial, we recommend that you read the topic below which explains in detail all you need to know about morphs:

What is a morph?

Quick Tutorial

Lesson 1 - Import source image

Lesson 2 - Edit source image

Lesson 3 - Add key dots

Lesson 4 - Advanced edit

Lesson 5 - Working with movie

Lesson 6 - Real-time playing

Lesson 7 - Add add-on effects

Lesson 8 - Export morph result


What is Morph?

What is a Morph?

Image morphing is a useful visualization technique. It is often used for educational or entertaining purposes. Image morphing techniques have been widely used in creating special effects for television commercials, music videos such as Michael Jackson's Black or White, and movies such as Willow and Indiana Jones and the Last Crusade.

Image morphing is an image processing technique used to compute a transformation, that is, a metamorphosis, from one image to another. The process is called "morph" for short. The idea is to create a sequence of intermediate images, which when put together with the original images, represents the transition from one image to the other.

In a morphing sequence between two faces, the middle image often looks strikingly life-like, as a real person, but clearly it is neither the person in the first or in the second image.

The morphed pictures in sequence can be shown as a dynamic process like a movie. The result can be very interesting.

Morphing between two images achieves the best results if the images are roughly of the same shape and colors, e.g. morphing from a tree to a cat may not result in such a good transition as when morphing from one face to another. In this case the middle image might look strange since it got no equivalence in the real world. (Although, sometimes, this is just what we are looking for.)


Lesson 1 - Import Source Image

We begin by selecting two images to morph, a beginning image and a final image.

1. Click the Import Image 1 button ( [image]) on the edit panel or choose File/Import Image 1 menu.

2. In the Import Image 1 window, choose a single image file. There is a preview panel on the right to help you make your selection. Your choice for image 1 will be the start image of the morph. In this example, the "miss1.jpg" sample image, which is included with the FantaMorph package for demonstration purposes, will serve as the start image.

3. The selected image appears in the image 1 area in the main interface.

4. Click the Import Image 2 button ( [image]) on the edit panel or choose File/Import Image 2 menu. Then in the import image window, select "miss2.jpg" sample image to serve as the final image of the morph. You now have two images loaded into the image area.
Note, the morph movie will be created using default parameters; the middle frame will be shown immediately. Because we have not added any key dots, the middle frame is simply a cross-dissolve between the two images. We will improve the morph in the following lessons.


Lesson 2 - Edit Source Image

Sometimes, we don't wish to morph an entire image. Particularly with digital camera images, you will find that you only wish to work with a portion of the image. You don't need to use any other software: FantaMorph’s built-in crop tool can help you.

1. Click the Crop Image 1 button for image 1 or click the Crop Image 2 button for image 2 on the edit panel.

2. In the Crop Image 1 window, the selected Portion can be dragged directly and resized by dragging one of the 8 cropping handles around it. The unselected portion shown with blue mask will be removed. There are some advanced controls on the right. See more...

3. We have now cropped two source images and the morph movie has been recreated automatically at a size suitable for those images. Note, these two source images may be of different sizes cropped, and they will still be resized to fit the morph movie.

4. There is another useful tool consisting of image adjustment functions. With it, you can adjust brightness, contrast and color balance. It also supports certain special effects such as blur, sharpen, emboss, etc. See more...


Lesson 3 - Edit Key Dots

The most important element in producing morphs is to place key dots on both source images in order to define how the morph process will operate. It's good to place dots on the major elements of a morphing image (for example, when morphing a face image, the major elements include eyes, nose, mouth, etc.). In this lesson, we'll start by placing dots around the eyes of both images.

1. Confirm that the edit tool "Add Dot" is selected, then move mouse to the corner of the eye.

2. Click the left mouse button. A dot will appear on image 1, and a corresponding dot will appear on image 2. Note that for each click on either image, a corresponding dot will appear automatically on the opposite image. In most cases, you will need to move the corresponding dot to a suitable position.

3. Add three more dots for the remaining corners of both eyes. Remember, the more dots you place on the elements of your image, the better your morph result will be, so feel free to continue adding dots to further defined the eye shapes. Note that all dots are the same color by default. You can turn on the "Color Cycle" switch from the Tools/Option menu, then 8 basic colors will cycle across the dots. This feature helps you to more easily distinguish corresponding dot pairs. See more...

4. When you move the cursor directly over a dot on image 2, the cursor will become a 4 way arrow to indicate that the dot can now be dragged. You may drag it to the position corresponding to the partner dot's location. Notice that the movie morph will change accordingly as each key dot is created or moved. This synchronous change is great for checking if the location of a dot is correct. Please look at the portion in the red box below. This feature is one of the most exciting features of FantaMorph!

5. After more key dots were added in the same manner, the preview at 50% is much better aligned. We used a total of 57 dots for this example, but more dots are always better. If you like, go ahead and add 10, 50 or even more dots to your own morphs. The more you add, the better the alignment and the better the morph will be. Look at the morphed image again. Who is that woman?


Lesson 4 - Advanced Edit

We have just used the Add Dot tool; the other edit tools are also useful for advanced editing.

Edit Tool

Edit Dots ( [image]) Rectangle marquee to select a group of dots, then you can move, scale, cut, delete, copy or paste it by using mouse or choosing a corresponding Edit submenu.

Add Dot ( [image]) As described in Lesson 3, you can use this tool to add a key dot and move it to a correct location. It's the most used tool.

Delete Dot ( [image]) You can use this tool to delete any useless dot. Just move the cursor on the dot and click.

Adjust Viewport ( [image]) When a viewport can't hold a image wholly, a horizontal or a vertical scroll bar will appear. You can drag the viewport using mouse or use the scroll bars to show a needed part of the image.

Zoom In ( [image]), Zoom Out ( [image]) Choose these tool and click on anywhere of the source images, the viewport can be smoothly scaled from 12.5% to 800%.

Magnifier

The Magnifier ( [image]) magnifies the area under and around the mouse cursor when you are working within the source or target image. This enable you to have good precision on delicate operation such as adjustment without having to zoom in and out continuously.

You can also drag the Magnifying Power Slider ( [image]) to change the magnifying power from 1x to 4x.


Lesson 5 - Working with Movie

Previous lessons have covered the topics necessary to work with dots. There are some a few things we need to know about movies.

1. First, click the Movie Size control on the preview panel or choose the Movie/Size menu to confirm the movie size.

2. Its default value is the same size as Image 1. You can choose any fixed value offered in the popup menu.

Or you may set it to any desired value through Set Custom Size. In the subsequent Movie Properties window as shown below, enter any desired Custom Size value of the movie. You can turn on the Constrain Proportions switch, in this way when you input a new value as the width (height), the other dimension will be calculated automatically to keep the same proportion.

3. The default frame count value is 15 (you can change it in the Options window). If you want a smoother, more detailed morph result, simply add more frames. Click the Movie Frames box on the preview panel, then input a new frame count value and press the Enter key. Alternately, click the Movie Frames Spin Button to increase or decrease the frame count by one. The maximum frame count value is 999.

4. The most important control is the Preview Slider Bar. Each morph frame from the first to the last can be previewed easily by simply dragging the Preview Slider. For example, if you position the slider at the center, you will preview the frame representing the middle of the morph. If you position the slider all the way to the right, you will preview the final frame of the morph, which is essentially Image 2.

5. Beginning with version 2.35, the current frame number will be shown in the Current Frame box, and the current morphing percent will be shown in the Morphing Percent box, it's especially useful for professional users. Besides, not only morph frame but also any desired percent of the morph can be previewed from 0% to 100% in 1% increments by dragging the Preview Slider.


Lesson 6 - Real-time Playing

In any other morphing software, you must first render the morph to a file in order to actually see it. We at FantaMorph believe that is too much trouble! FantaMorph offers "Real-time Playing".

1. You can set the Preview Only mode using the F7 key or the View/Preview Only menu. See more...

2. There are two useful switches which control play, the Auto Loop switch and the Auto Reverse switch. Turn on the Auto Loop switch, and the morph will repeatedly play until you press the Pause button. Turn on the Auto Reverse switch to make the morph cycle from start to end, then reverse from end to start.

3. There is also a group of control buttons. The largest button is the Play/Pause switch. Clicking it will start or stop playing. The other 4 buttons will preview the first, the last, the previous or the next frame.

4. As a default, the preview speed is 15 fps (frames per second). If you are running FantaMorph on a higher-performance computer, you may increase the preview speed up to 30 fps, for example. See more...

5. Remember that you edit your work while the morph movie is playing in real-time, which means you will immediately see the effects on your final morph.


Lesson 7 - Add Add-on Effects

FantaMorph 2.0 offers 3 great add-on effects for your morph movies: Background, Mask and Foreground. See more...


Lesson 8 - Export Morph Result

You may enjoy real-time morph playing in FantaMorph, but in most cases, you will want to export the morph result. Exported files may be shared with friends or used with other software. There are 2 ways to export files: one is exporting a snapshot of the current morph frame as an image file; the other is exporting the whole morph to a sequence of image files or a movie file.

1. Drag the Preview Slider to the position indicating the image you want to export. For instance, positioning the Preview Slider to the center causes the preview to take half its features from image 1 and half from image 2. To export the current frame, you may click the Export Current Frame button on the preview panel or choose Movie/Export Current Frame or File/Export Current Frame menu.

2. In the export interface, enter a file name and choose an image format (BMP, JPEG, TIFF, PNG, TGA, PCX, GIF) for the export file. Notice that you may change JPEG export quality from the option window.

3. In most cases, movie will be your chosen export form. Click the Export Movie button on the preview panel or choose Movie/Export Movie or File/Export Movie menu, the program will export the movie as the last selected format directly. Right-click this button will pop up the menu below, then you can select one of the 6 export methods (Image Sequence, AVI Movie, Animated GIF, Flash Movie, Web Page and Screen Saver) offered in the popup menu. In the export interface, enter a file name and input other parameters needed for your export.

4. Click the Movie Properties button on the preview panel or choose the Movie/Properties menu, then in the Movie Properties Window as shown below you can adjust various parameters of the movie, especially all the export options.

5. As FantaMorph renders each frame, you will see it appear in the Preview window. Once done, a message box will be displayed to show useful information. As you can see, it took only 1 second to render our 15 sample frames for the morph and the resulting file size is only 161K. The export speed is relative to movie size, key dots count, add-on effects and your computer's performance. In a word, FantaMorph is the fastest software available today.

6. All controls are disabled during the export process except the Cancel Export Button. Pressing Cancel Export will interrupt the export process, and no export will be created.

7. As a default, the resulting file will automatically open with the system associated program after export. This is helpful for immediately inspecting the resulting quality.


How To...

Click on the following links to access articles:

How to Import Source Image

How to Crop Source Image

How to Adjust Source Image

How to Use 32-bit with Alpha images

How to Set the View Mode

How to Morph More than Two Images

How to Choose Export File Format

How to Use Add-on Background, Mask, and Foreground Effects

How to Use Image Sequence Packer

How to Test Morph Performance


How to Import Source Image

There are 4 ways to import source image into FantaMorph.

Button or Menu

As described in Lesson 1, the simplest way is to click Import Image button or the File/Import Image menu, then choose an image file from the Import Image window.

Source Panel

Double click directly on one of the two source panels to launch the Import Image window.

Drag from Built-in Image Viewer

When choosing from many source files, finding a particular source image may be difficult. In this case, press the F9 key or choose the Tools/Image Viewer menu, and the image viewer will appear. Adjust its window size and position as suited for viewing. Use this simple, fast tool with thumbnail previews to explorer all supported image resources on your disks. Click on the desired file and drag it to the image area in the main interface.

Drag from External Program

You may also drag an image file to the main interface from an external program such as Windows Explorer or ACDSee.


How to Crop Source Image

As descried in Lesson 2, you can use the built-in crop tool to select any desired portion of an image. Drag any of the 8 cropping handles to resize the selected portion. The blue-tinted portion will be removed. At the right are other advanced controls, described below.

Control the Aspect Ratio

By default, you can freely drag the cropping handles, thus selecting any size of image. It is recommended that the source images should have the same aspect ratio to avoid image distortion. The simplest method is to choose the same aspect ration from the Aspect Ratio Box by cropping each source image. Note, if you have previously set the movie size, "Match to movie" is the best choice. The Landscape and the Portrait options will cause the aspect ratio to be reversed when cropping takes place.

Rotate, Flip

Rotating is useful for aligning some digital camera images. Flipping may create a desired effect, and may also be used to bring images into closer alignment Use the Rotate and Flip Switches to perform these actions.

  • Rotate: Allows rotation of image in 90 degree increments. 3 values may be specified:

    • 180°: Allows 180° rotation of the image.

    • 90° CW: Allows 90° clockwise rotation of the image.

    • 90° CCW: Allows 90° counter clockwise rotation of the image.

  • Flip Vertical: Produces vertical mirroring of the image.

  • Flip Horizontal: Produces horizontal mirroring of the image.

Info about Size

You can see info about the original image size and the current cropping size in the Size Frame.

Remarks

• When cropping an image to which you have already added dots, dots located within the selected portion are displayed in normal style, but dots located outside the selected portion are highlighted.

• All dots located outside of the selected portion of an image will be relocated to some position inside the selected portion after cropping. Inevitably, all such dots will need to be matched with their corresponding dots, then appropriately repositioned. This should be avoided if at all possible. Try to take care of cropping before placing any dots.

• Key dots will be rotated or flipped along with an image which is rotated or flipped.

• You can move the selected area to a new position on the original image by dragging with the mouse or by using keyboard shortcuts. See More...


How to Adjust Source Image

As described in Lesson 2, you can use this built-in tool to make adjustments and add effects to the source image. There are two control frames: Adjustments and Effects. The Preview window will display a real-time preview of the adjustments and effects.

Adjustments

These commands allow you to adjust brightness, contrast, and color balance of the actual image. You can specify new values by using the slider or entering values into the edit text boxes. If you specify 0 (zero), no adjustment will be made. You can turn on/off the check box above the adjustment item to compare the effect with and without that particular adjustment.

Effects

These commands allow you to add the following effects to the actual image: smooth, blur, sharpen, emboss, reverse colors to produce a negative, change color values to gray scale. The best way to understand these effects is to try them out. Choose effects alone or in various combinations to discover what is best for your purpose.


How to Use 32-bit with Alpha Images

FantaMorph Pro supports the import and export of 32-bit with alpha images in BMP, TIFF, PNG and TGA formats to create professional effects. Most images used in computing are based on 24 bits, specifying the red, green and blue values at each particular point on the image. These 24-bit images are fully opaque, thus anything under them will be hidden. A 32-bit image has an additional 8-bit alpha channel, which is used to specify transparency. Such images can be smoothly blended with other images.

The left image below is an example of a 32-bit image. The portion filled with the small checkerboard grid represents transparency. The image containing transparent areas can be laid over a single color image, like the middle image, or over any other image, as seen at the right. In both cases, the background shows through the transparent area.

You can use 32-bit images within FantaMorph, or export 32-bit morph results for use with other graphic or video software. The example below uses two 32-bit PNG images blending with a flower image as the background and a radial style bitmap as the mask. The result is amazing!


How to Set the View Mode

There are 3 view modes in FantaMorph, each useful for a different purpose.

Full View Mode

As a default, the edit panel, displaying both source images, and the preview panel, displaying the resulting morph, are presented in the main interface. Press the F5 key or choose the View/Edit and Preview menu to set this view mode at any time.

Edit Only Mode

For large source images or for more precise editing, press the F6 key or choose the View/Edit Only menu to set this view mode.

Preview Only Mode

You may switch view to this mode after all edit work has been completed. Press the F7 key or choose the View/Preview Only menu to set this view mode. Preview Only Mode provides the largest area for viewing your morph. Turn on the Auto Loop switch, press the Play button, and enjoy your morph now!


How to Create Morph More than Two Images

Assume you have chosen five source images, called A, B, C, D, E, for your morph. You are preparing to make a flash movie, and you want to produce 15 morphed frames between each two successive source images. It is relatively easy to create a long morph movie using these 5 images by following the following steps.

1. Make project "Morph1" by importing A as "Image 1" and B as "Image 2", then export the resulting image sequence in your chosen format. (For this example, we will use JPEG.) You now have 15 image files named Morph101.jpg, Morph102.jpg, and so on, through Morph115.jpg.

2. Swap source images from the Edit menu. Now B is "Image1" and A is "Image 2", then import C as "Image 2" and save the project as "Morph2". Adjust key dot positions on C; add new key dots, or delete key dots, as necessary. Export this image sequence to get files named Morph201.jpg through Morph215.jpg.

3. Repeat step 2, using source images C and D and saving the project as "Morph3".

4. Again, repeat step 2, using source images D and E and saving the project as "Morph4".

5. Run "Image Sequence Packer" from the Tools menu, adding all 60 images, Morph101.jpg through Morph115.jpg, Morph201.jpg through Morph215.jpg, Morph301.jpg through Morph315.jpg and Morph401.jpg through Morph415.jpg. Choose the "Flash Movie" option, then press the "Start Pack" button. That's all it takes! See more about "How to Use Image Sequence Packer".

The resulting movie is below. Quite an effective morph, isn't it? You probably can't wait to morph your entire life...


How to Choose Exporting File Format

How to Choose Export File Format

There are 6 export file types in FantaMorph.

  • Image Sequence: Each frame of morph will be saved as an individual file in one of the following formats: BMP, JPEG, TIFF, PNG, TGA, PCX, GIF. In most cases, JPEG is the best choice. In FantaMorph PRO, when you use 32-bit source images and plan to use the morph result with other video editing software, you should choose BMP, TIFF, PNG or TGA format.

  • AVI Movie: Common, high-quality video format on Windows platform. Good for importing into movie editing software such as Adobe Premiere. To avoid overlarge file sizes, use any installed video codec (such as MPEG-4 codec from www.divx.com) to compress your movies into smaller files.

  • Animated GIF: Good for web pages, because all browsers can view them. The quality is lower because Gif's support only 256 colors.

  • Flash Movie: Best for web pages, very small and high quality. Best choice for sharing with friends by e-mail.

  • Web Page: Can play flash movies at their original sizes in Internet Explorer.

  • Screen Saver: Create standard screen savers to show morphing effects. It's an interesting way to enjoy your proud morphs and share with your friends.


How to Use Add-on Effects with Background, Mask, Foreground

There are 3 add-on effects in FantaMorph: background, mask, and foreground. Previously, these effects were offered only by expensive, professional video software, but now you can easily employ them in FantaMorph!

Background

As described in "How to Use 32-bit with Alpha Images", if the source images are 32-bit with alpha, the morph can be smoothly blended with any single color or any other image as a background. If the source images are not 32-bit (in most cases, you will find 24-bit images), you must first use a mask, otherwise, the background will be invisible.

1. Click the Back Switch ( [image]) in the preview panel or choose the Movie/Background menu, then choose an image file as the Background. A small thumbnail of this image will be show as the Back Icon ( [image]), and the Back Switch will be highlighted to indicate the background is being used.

2. You may turn on/off the Back Switch or choose the Movie/Show/Hide Background menu or click Back Icon at anytime to enable or disable the Background effect.

3. You can double click the Back Icon or choose the Movie/Background menu again to load another image to see the effect.

4. If you do not want to use the Background displayed, right-click the Back Icon or choose the Movie/Clear Background menu to clear it.

5. In addition, you can select a pure color as a backcolor from the Tools/Option menu, then click the Movie/BackColor box. Notice that the background image may be blended with the BackColor. It's a useful way to change the hue of the background image. Using the black color as BackColor will keep the background image as original.

Mask

The Mask is an interesting effect. It should be 256 level grayscale bitmap. The brightness of every pixel of the mask image will be applied to the transparency of the corresponding pixel of the morph. That means a white pixel will cause the corresponding morph pixel to be opaque, a black pixel will cause a fully transparent pixel, and various levels of gray will cause corresponding levels of transparency. In the following example, the left image below is the source image, the middle image is the mask, and the resulting morph frame is at the right. As you see, when you add a mask to a morph, the morph will take on the mask shape.

1. Click the Mask Switch ( [image]) in the preview panel or choose the Movie/Mask menu, then choose an image file as the Mask. A small thumbnail of this image will be shown as the Mask Icon ( [image]), and the Mask Switch will be highlighted to indicate the mask is in use.

2. You may turn on/off the Mask Switch or choose the Movie/Show/Hide Mask menu or click Mask Icon at anytime to enable or disable the Mask effect.

3. You can double click the Mask Icon or choose the Movie/Mask menu again to load another image for a new effect.

4. If you then choose not to use the Mask effect, right click the Mask Icon or choose the Movie/Clear Mask menu to clear it.

Foreground

The foreground should be a 32-bit with alpha image that you choose to overlay on the morph to make a photo frame, text caption or other such effect.

1. Click the Fore Switch ( [image]) in the preview panel or choose the Movie/Foreground menu, then choose an image file as the Foreground. A small thumbnail of this image will be shown as the Fore Icon ( [image]), and the Fore Switch will be highlighted to indicate it is in use.

2. You may turn on/off the Fore Switch or choose the Movie/Show/Hide Foreground menu or click the Fore Icon at anytime to enable or disable the Foreground effect.

3. You can double click the Fore Icon or choose the Movie/Foreground menu again to load another image for a new effect.

4. If you no longer wish to use the Foreground effect, right click the Fore Icon or choose the Movie/Clear Foreground menu to clear it.

Remarks

• As described in "How to Import Source Image", you can also use the drag & drop feature to load images for effects. Dragging from the built-in image viewer may be the easiest way, see below. Simply drop an image onto the Back Icon, Mask Icon or Fore Icon to indicate which is your choice.

• Since the size and relative position of the images used for effects can't be adjusted in this version of FantaMorph yet, you have to find suitable pictures for better effects. Further options for manipulating effects will be supported in the next version of FantaMorph.


How to Use Image Sequence Packer

The built-in Image Sequence Packer tool provided in FantaMorph Pro is very useful for creating long morphs with three or more source images. See more about "How to Create Morph More than Two Images".

1. Choose the Tools/Image Sequence Packer menu to open the packing window.

2. There is a button group for the edit image sequence ( [image]). First Click the Add Image(s) button and choose a series of images to add to the Image List ( [image]). In most cases, these images will be previously morphed pictures exported from FantaMorph, but may be from any source. The number of items added will be shown directly above the image list.

3. Click to select one image in the list. It will be previewed in the Preview Panel ( [image]), and its size will be set into the Movie Size box ( [image]) for the resulting movie.

4. You can select one or more of the images listed, then delete it, duplicate it, move it up, or move it down by clicking the appropriate edit buttons.

5. You can add as many images to the list as you desire. Each image listed will become one of the frames of the resulting movie.

6. Choose one format option from the Movie Format Options ( [image]), then click the Start Pack button ( [image]). As FantaMorph packs each image to the movie, you will see it appear in the Preview Panel.

Remarks

• You can pack images of various formats and sizes. However, you will have better results using image sequences of the same size, as created by FantaMorph.

• You can easily change the export size of the resulting movie, but the chosen size should have the same aspect ratio as the images found in the image sequence.


How to Test Morph Performance

Test Realtime Rendering Performance

1. First, create or load a project.

2. Choose Tools/Test Morph Performance. FantaMorph will then render frames at your computer's top speed. A pop-up window will display the results of the test.

Remarks

• If your video card does not support hardware acceleration, the performance is generally lower.

• This performance in Preview Only mode may be different from Full View mode. A smaller display size increases performance rate.

Test Exporting Performance

1. Choose Tools/Options, confirm the Show Export Information option checked.

2. Export morph movie.

3. When done, this message box is appears.

Remarks

• Performance may vary depending on format chosen for export. In most cases, exporting with uncompressed AVI is the fastest, exporting with animated GIF is the slowest.


Frequently Asked Questions

Click on the following links to access questions:

1. Can I import the FantaMorph's results into video editing software to make a VCD/DVD?

2. Can I produce morphs from more than two images?

3. Why is the speed slower than "real-time"?

4. What image formats can I import into FantaMorph?

5. Which format is the best for export?

6. Can I add dots to both images individually or just to one image at a time?

7. Why are my dots all the same color?

8. What do I do with my completed morphs?

9. Why doesn't my morph look natural?

10. Where can I find suitable images for backgrounds, masks, and foregrounds?


Frequently Asked Questions

1. Can I import the FantaMorph's results into video editing software to make a VCD/DVD?

Of course! Just follow the following steps.
Step 1: Set the movie size to "352 x 240 (VCD NTSC)" or "720 x 480 (DVD NTSC)".
Step 2: Set the AVI speed to 29.97 fps instead of the default 15 fps in the Options window.
Step 3: Export the morph as AVI format. It is strongly recommended to choose the compressor "Full Frames (Uncompressed)".
Step 4: Now, you can import the exported AVI file into video editing software to make a VCD/DVD.

2. Can I produce morphs from more than two images?

Of course! Assume you have chosen five source images, called A, B, C, D, E, for your morph. You are preparing to make a flash movie, and you want to produce 15 morphed frames between each two successive source images. It is relatively easy to create a long morph movie using these 5 images by following the following steps.

Step 1: Make project "Morph1" by importing A as "Image 1" and B as "Image 2", then export the resulting image sequence in your chosen format. (For this example, we will use JPEG.) You now have 15 image files named Morph101.jpg, Morph102.jpg, and so on , through Morph115.jpg.
Step 2: Swap source images from the Edit menu. Now B is "Image1" and A is "Image 2", then import C as "Image 2" and save the project as "Morph2". Adjust key dot positions on C; add new key dots, or delete key dots, as necessary. Export this image sequence to get files named Morph201.jpg through Morph215.jpg.
Step 3: Repeat step 2, using source images C and D and saving the project as "Morph3".
Step 4: Again, repeat step 2, using source images D and E and saving the project as "Morph4".
Step 5: Run "Image Sequence Packer" from the Tools menu, adding all 60 images, Morph101.jpg through Morph115.jpg, Morph201.jpg through Morph215.jpg, Morph301.jpg through Morph315.jpg and Morph401.jpg through Morph415.jpg. Choose the "Flash Movie" option, then press the "Start Pack" button. That's all it takes!

For more info, see "How to Morph More than Two Images".

3. Why is the speed slower than "real-time"?

FantaMorph uses a new rendering engine which makes use of OpenGL hardware acceleration. OpenGL is an industrial graphics standard and is supported by most modern video cards. If your video card supports this feature, morph speed can be very fast, even reaching hundreds of frames per second. But, if your video card is old, morph speed may be under 15 frames per second. In this case, updating your video card is recommended.

4. What image formats can I import into FantaMorph?

FantaMorph imports BMP, JPEG, TIFF, PNG, TGA, PCX, GIF, WMF, and EMF (Windows Metafile) format images.
The PRO edition also imports 32-bit with alpha channel BMP, TIFF, PNG, and TGA images. For more information, see "How to Use 32-bit with Alpha Images".

5. Which format is the best for export?

Image Sequences: Each morph frame will be saved as an individual file in your choice of formats: BMP, JPEG, TIFF, PNG, TGA, PCX, and GIF. In most cases, JPEG is the best choice. In the PRO edition, when you use 32-bit source images in order to take advantage of transparency so that the morph result can be overlaid smoothly onto video in other video software, you should choose BMP, TIFF, PNG or TGA format.
AVI Movie: Familiar video format on Windows platform with perfect quality. Good for importing into movie editing software such as Adobe Premiere. To avoid too large file size, you can use video Codec installed (such as MPEG-4 codec from www.divx.com) to compress your movies into smaller files.
Animated GIF: Good for web pages, since GIF files can be viewed by any browser. Note that overall image quality is lower because the GIF format only supports 256 colors.
Flash Movie: Best for web pages, very small and high quality. Best choice for sharing with friends by e-mail.
Web Page: Can play flash movie at the original size in Internet Explorer.
Screen Saver: Create standard Windows screen savers to show morphing effects. It's an interesting way to enjoy your morphs and share with your friends.

6. Can I add dots to both images individually or just to one image at a time?

Every dot you add to one image will automatically result in a corresponding partner dot on the opposite image. Dots only come in pairs, because the purpose of a dot is to match up key features in each image to tell FantaMorph how the first image will morph into the second image.

7. Why are my dots all the same color?

As a default, all dots are the same color. But you can turn on the "Color Cycle" switch in the option box, causing 8 basic colors to cycle across the dots. Note that the 9th dot you add will therefore be the same color as the 1st, the 10th the same as the 2nd, and so on. To help distinguish individual dots and correctly locate their partner dot, simply move your cursor over a chosen dot. That dot and its partner in the second image will be highlighted.

8. What do I do with my completed morphs?

Use your morph images or morph movies to grab people's attention or to have a good time - create web graphics and enhance your web site, email morphs to friends and family to make them laugh, burn on morphs to VCD for enjoying on TV, create a unique online greeting, post your morphs on the Internet, add more life to your presentations. If you are a professional user, use your morphs in music video, advertisement, teleplay, movie, education courseware, and countless other great ways!

9. Why doesn't my morph look natural?

While morphs can be produced in many different ways, FantaMorph uses what is termed the "key dots method." It is effective, fast, and easy to use, but it also has some limitations. Dots pairs must be in the same logical positions, otherwise, the result may be unconvincing. In this case, carefully adjust dot positions which define the affected areas.

10. Where can I find suitable images for backgrounds, masks, and foregrounds?

You can use any images that you like for movie backgrounds. Masks should be 256 shade grayscale bitmap images, and foregrounds should be 32-bit with alpha. images. For more information, see "How to Use Add-on Effects with Background, Mask, Foreground".
There are many sources for such images on the web. Images from your own scanned or digital photos can be used.


Hints and Tips

Click on the following links to access topics:

Movie Properties

Options

Drag and Drop Images

Keyboard Shortcuts

Uninstall the Application


Movie Properties

Choose the Movie/Properties menu or click the Movie Properties Button on the preview panel, the window below will open.

Source

You can find the file name as well as image size (cropped and original) of the source images and how many key dots you added.

Movie

  • Movie Size: Choose one of the 12 size modes. The default value is "Same as Image 1".

  • Custom Size: Create movie with your custom size as you like.

  • Constrain Proportions: When you input a new value as the width (height) by turning on this option, the other dimension will be calculated automatically keeping the same aspect ratio as the last used size.

  • Frame Count: Set the movie frames. The more frames you set, the more smooth result will be. The default value is 15.

Export

Default Format: Choose one of the 6 formats as the default export format. You can also set the default export format by right-clicking the Export Movie button on the preview panel. Then, when you click the Export Movie button, the program will export the movie as the default format directly.

Format Settings: You can set some parameters of the current format. Every format has its own parameters.

  • AVI Speed: Set the frame rate of exported AVI files from 1 to 60 frames per second. The default value is 15.

  • GIF Speed: Set the frame rate of exported GIF files from 1 to 60 frames per second. The default value is 15.

  • Export Looping Animated GIF: If this option is checked, the resulting Animated GIF files will be looping.

  • Flash Speed: Set the frame rate of exported Flash files from 1 to 60 frames per second. The default value is 12.

  • Stay on Ends: You can extend the time exported movies (AVI, GIF, Flash and Screen Saver) display the beginning and ending images. The default value is 0.

  • JPEG Quality: Affects the quality of exported JPEG images and flash movies. The default value is 75. The bigger the value is set, the higher the export quality will be, as well as the more rapidly the export file size will increase. Try to set it to different value, and investigate the quality and size of the export file to get an appropriate value for it.

  • Add an URL to Flash: When you export a morph in Flash format, you can add a URL to the resulting Flash movie so that the viewers can easily reach the URL with just one click. It's especially useful for web designers.

Export Options:

  • Export Reverse Frames: Some additional frames will be appended to the resulting movie for smooth playing loop. For instance, normal exported frames are No.1, 2, 3, ..., 15 frame, then the No.14, 13, 12, ..., 2 frame will be appended after No. 15 frame if this option is checked.

  • Show Export Information: A message box about export will be opened after export.

  • Auto Open After Export: If this option is checked, the resulting file will be automatically opened with the system associated program after export.


Options

You can choose the Tools/Options menu to set some advanced options.

Edit

You can set the Normal style and Highlighting style of key dots as well as triangle border style separately as described below.

  • Style: Click somewhere in the Dots Style Bar to choose one of the 10 styles.

  • Color: Click the Color Box, then choose a color from the standard dialog opened subsequently. Note, it is recommended to select a bright color for highlight.

  • Alpha: This value indicates the dots transparency. 255 is full opaque; 0 is full transparent. The bigger value, the more obvious dots; the smaller value, the more smooth dots.

  • Color Cycle: Turning on this option will cause 8 basic colors (red, yellow, blue, green, cyan, purple, white, black) cycle across the dots. Otherwise, all dots are the same color just selected. Only effect for normal style.

Movie

  • Use Hardware Acceleration: When hardware acceleration is enabled, you can get the best performance. But you should disable this function if your system has problem with hardware acceleration. Besides, the maximum export size depends on display card if hardware acceleration is enabled, in most cases it is less than 4096 x 4096 pixels. So if you want to export very large images for print, you also need to turn off this switch so that you can export images up to 16384 x 16384 pixels.

  • Auto Loop and Auto Reverse: The Auto Loop and Auto Reverse switches will be automatically turned on once a movie has been created.

  • Default Size: Choose one of the 12 size modes. The default value is "Same as Image 1".

  • Custom Size: Create movie with your custom size as you like.

  • Default Frames: This value will be used when creating movie initially. The default value is 15.

  • Preview Speed: You should set this value according to the performance of your computer. The default value is 15.

  • BackColor: Click the box and choose a color as the movie background. The default value is black.


Drag and Drop Images

You can use the standard Open Dialog to import images into FantaMorph, but in most cases, it is more easier to drag and drop an image as the source image or the effects image.

As described in "How to Import Source Image", you can drag an image from the built-in image viewer and drop to the source images area in the main interface. And, as described in "How to Use Add-on Effects with Background, Mask, Foreground", you can drag an image from the built-in image viewer and drop to the effects images area in the main interface.

You may also drag an image file to the main interface from an external program such as Windows Explorer or ACDSee.


Keyboard Shortcuts

Below is a list of all the keyboard shortcuts in the main interface:

Feature

Shortcut

• Show this help

F1

• Swap Frames

F3
• Show/hide Grid | CTRL+G
• Show/hide Dots | CTRL+D
• Show/hide Triangles | CTRL+T
• Switch to Full View mode | F5
• Switch to Edit Only mode | F6
• Switch to Preview Only mode | F7
• Open Image Viewer | F9
• Open Image Sequence Packer | F11

• Edit Tool

E
• Add Dots Tool | A
• Del Dots Tool | D
• Hand Tool | H
• Zoom In Tool | T
• Zoom Out Tool | W
• Decrease Magnification Times | N
• Increase Magnification Times | M

• Create new project

CTRL+N
• Open project | CTRL+O
• Save project | CTRL+S
• Undo | CTRL+Z
• Redo | CTRL+Y
• Cut | CTRL+X
• Copy | CTRL+C
• Paste | CTRL+V
• Delete | Del
• Select all | CTRL+A
• Play/Pause | CTRL+P
• Previous frame | CTRL+B
• Next frame | CTRL+F

Below is a list of all the keyboard shortcuts in the Crop Image window:

Feature

Shortcut

• Move selecting portion by 1 pixel

Arrow key

• Move selecting portion by 8 pixels

CTRL+Arrow key


Uninstall the Application

You can uninstall the application as following steps:

1. Open Start menu in the Windows task bar.
2. Choose Settings and Control Panel to open the Control Panel dialog box.
3. Click Add/Delete Program.
4. Choose the program Abrosoft FantaMorph in the list.
5. Click the Add/Delete button.
6. Follow next instructions.